GNU bug report logs - #40389
12.2.0; AucTeX randomly inserts {\sc } instead of \textsc{}

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Guillaume MULLER <guillaume.muller@HIDDEN>; dated Thu, 2 Apr 2020 16:13:01 UTC; Maintainer for auctex is bug-auctex@HIDDEN.

Message received at 40389 <at> debbugs.gnu.org:


Received: (at 40389) by debbugs.gnu.org; 8 Apr 2020 14:43:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 08 10:43:50 2020
Received: from localhost ([127.0.0.1]:52796 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMBvi-0006Ah-5q
	for submit <at> debbugs.gnu.org; Wed, 08 Apr 2020 10:43:50 -0400
Received: from [210.129.88.11] (port=51712 helo=smtp1.inetd.co.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1jMBvg-0006AY-RC
 for 40389 <at> debbugs.gnu.org; Wed, 08 Apr 2020 10:43:49 -0400
Received: from localhost (210-20-200-113.rev.home.ne.jp [210.20.200.113])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id E7D8676;
 Wed,  8 Apr 2020 23:43:45 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Guillaume MULLER <guillaume.muller@HIDDEN>
Subject: Re: bug#40389: 12.2.0;
 AucTeX randomly inserts {\sc } instead of \textsc{}
In-reply-to: <84292fe9-e28c-2b5c-0768-b7adf4163b39@HIDDEN>
References: <5abede2e-4454-d609-0b65-007637ebcfff@HIDDEN>
 <11183.1586325552@localhost>
 <9d7c3742-55ec-7921-d4d5-a3e0489f0121@HIDDEN>
 <14655.1586352583@localhost>
 <84292fe9-e28c-2b5c-0768-b7adf4163b39@HIDDEN>
Comments: In-reply-to Guillaume MULLER <guillaume.muller@HIDDEN>
 message dated "Wed, 08 Apr 2020 15:59:40 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.3
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <15208.1586357023.1@localhost>
Date: Wed, 08 Apr 2020 23:43:43 +0900
Message-ID: <15209.1586357023@localhost>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >>>>> Guillaume MULLER <guillaume.muller@HIDDEN>
 writes: > Hi again, > Thanks a lot for the info. Is there a way to do that
 automatically? I think that simple shell script will do the job, if you have
 a lot of LaTeX document files. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: univ-st-etienne.fr]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [210.129.88.11 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 40389
Cc: 40389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>>>>> Guillaume MULLER <guillaume.muller@HIDDEN> writes:
> Hi again,
> Thanks a lot for the info. Is there a way to do that automatically?

I think that simple shell script will do the job, if you have a lot of
LaTeX document files.

Regards,
Ikumi Keita




Information forwarded to bug-auctex@HIDDEN:
bug#40389; Package auctex. Full text available.

Message received at 40389 <at> debbugs.gnu.org:


Received: (at 40389) by debbugs.gnu.org; 8 Apr 2020 13:29:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 08 09:29:52 2020
Received: from localhost ([127.0.0.1]:51521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jMAm8-0001uI-2Z
	for submit <at> debbugs.gnu.org; Wed, 08 Apr 2020 09:29:52 -0400
Received: from [210.129.88.11] (port=51564 helo=smtp1.inetd.co.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1jMAm6-0001u7-0Z
 for 40389 <at> debbugs.gnu.org; Wed, 08 Apr 2020 09:29:51 -0400
Received: from localhost (210-20-200-113.rev.home.ne.jp [210.20.200.113])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id 198066A;
 Wed,  8 Apr 2020 22:29:46 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Guillaume MULLER <guillaume.muller@HIDDEN>
Subject: Re: bug#40389: 12.2.0;
 AucTeX randomly inserts {\sc } instead of \textsc{}
In-reply-to: <9d7c3742-55ec-7921-d4d5-a3e0489f0121@HIDDEN>
References: <5abede2e-4454-d609-0b65-007637ebcfff@HIDDEN>
 <11183.1586325552@localhost>
 <9d7c3742-55ec-7921-d4d5-a3e0489f0121@HIDDEN>
Comments: In-reply-to Guillaume MULLER <guillaume.muller@HIDDEN>
 message dated "Wed, 08 Apr 2020 11:25:51 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.3
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <14653.1586352583.1@localhost>
Date: Wed, 08 Apr 2020 22:29:43 +0900
Message-ID: <14655.1586352583@localhost>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Guillaume,
 >>>>> Guillaume MULLER <guillaume.muller@HIDDEN>
 writes: > Finally I found a work around: using M-x LaTeX-mode in the buffers
 > where the problem occurs gets me the correct behaviour. 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: univ-st-etienne.fr]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [210.129.88.11 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 40389
Cc: 40389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hi Guillaume,

>>>>> Guillaume MULLER <guillaume.muller@HIDDEN> writes:
> Finally I found a work around: using M-x LaTeX-mode in the buffers
> where the problem occurs gets me the correct behaviour.

Then I guess that it's worth trying to add
%%% Local Variables:
%%% mode: latex
%%% End:
to the end of your LaTeX files.  If you devide your documents into some
child files using \input or \include, you can instead add a line
% -*- mode:latex -*-
as first line of the child files.

Regards,
Ikumi Keita




Information forwarded to bug-auctex@HIDDEN:
bug#40389; Package auctex. Full text available.

Message received at 40389 <at> debbugs.gnu.org:


Received: (at 40389) by debbugs.gnu.org; 8 Apr 2020 05:59:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 08 01:59:20 2020
Received: from localhost ([127.0.0.1]:51266 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jM3k8-0003Nr-1s
	for submit <at> debbugs.gnu.org; Wed, 08 Apr 2020 01:59:20 -0400
Received: from [210.129.88.11] (port=50364 helo=smtp1.inetd.co.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1jM3k6-0003Ne-I5
 for 40389 <at> debbugs.gnu.org; Wed, 08 Apr 2020 01:59:19 -0400
Received: from localhost (210-20-200-113.rev.home.ne.jp [210.20.200.113])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id 594AD6A;
 Wed,  8 Apr 2020 14:59:15 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Guillaume MULLER <guillaume.muller@HIDDEN>
Subject: Re: bug#40389: 12.2.0;
 AucTeX randomly inserts {\sc } instead of \textsc{}
In-reply-to: <5abede2e-4454-d609-0b65-007637ebcfff@HIDDEN>
References: <5abede2e-4454-d609-0b65-007637ebcfff@HIDDEN>
Comments: In-reply-to Guillaume MULLER <guillaume.muller@HIDDEN>
 message dated "Thu, 02 Apr 2020 17:30:07 +0200."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.3
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <11182.1586325552.1@localhost>
Date: Wed, 08 Apr 2020 14:59:12 +0900
Message-ID: <11183.1586325552@localhost>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Guillaume, sorry for late response. >>>>> Guillaume MULLER
 <guillaume.muller@HIDDEN> writes: > However, on my machine, AucTeX
 randomly inserts font commands in old > TeX style (`{\xx yyy}`) or modern
 one (`\text<xx>{yyy}`). 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [210.129.88.11 listed in list.dnswl.org]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: univ-st-etienne.fr]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 40389
Cc: 40389 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Hi Guillaume, sorry for late response.

>>>>> Guillaume MULLER <guillaume.muller@HIDDEN> writes:
> However, on my machine, AucTeX randomly inserts font commands in old
> TeX style (`{\xx yyy}`) or modern one (`\text<xx>{yyy}`).

> I have absolutely no clue why the behaviour is not consistent accross
> all .tex files, nor why it does not respect the documentation (always
> using modern syntax)....

I suspect that the value of the variable `TeX-font-list' is not updated
in some of your buffers.  Could you examine the value of `TeX-font-list'
in the buffer where old TeX style command {\xx yyy} is inserted?

Regards,
Ikumi Keita




Information forwarded to bug-auctex@HIDDEN:
bug#40389; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2020 16:12:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 12:12:13 2020
Received: from localhost ([127.0.0.1]:40548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jK2Rw-0006ze-67
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 12:12:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:44346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guillaume.muller@HIDDEN>)
 id 1jK1nJ-0002lA-HL
 for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 11:30:14 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51737)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <guillaume.muller@HIDDEN>)
 id 1jK1nH-0007gK-Rq
 for bug-auctex@HIDDEN; Thu, 02 Apr 2020 11:30:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <guillaume.muller@HIDDEN>)
 id 1jK1nG-0000HD-As
 for bug-auctex@HIDDEN; Thu, 02 Apr 2020 11:30:11 -0400
Received: from smtpout01-ext3.partage.renater.fr ([194.254.240.34]:57442)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <guillaume.muller@HIDDEN>)
 id 1jK1nF-0000GL-W0
 for bug-auctex@HIDDEN; Thu, 02 Apr 2020 11:30:10 -0400
Received: from zmtaauth01.partage.renater.fr (zmtaauth01.partage.renater.fr
 [194.254.240.25])
 by smtpout10.partage.renater.fr (Postfix) with ESMTP id 1461D62B7C
 for <bug-auctex@HIDDEN>; Thu,  2 Apr 2020 17:30:08 +0200 (CEST)
Received: from zmtaauth01.partage.renater.fr (localhost [127.0.0.1])
 by zmtaauth01.partage.renater.fr (Postfix) with ESMTPS id 0E4BD140096
 for <bug-auctex@HIDDEN>; Thu,  2 Apr 2020 17:30:08 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
 by zmtaauth01.partage.renater.fr (Postfix) with ESMTP id 004F31400EA
 for <bug-auctex@HIDDEN>; Thu,  2 Apr 2020 17:30:07 +0200 (CEST)
X-Virus-Scanned: amavisd-new at zmtaauth01.partage.renater.fr
Received: from zmtaauth01.partage.renater.fr ([127.0.0.1])
 by localhost (zmtaauth01.partage.renater.fr [127.0.0.1]) (amavisd-new,
 port 10026) with ESMTP id iCVyRK6Ja_cD for <bug-auctex@HIDDEN>;
 Thu,  2 Apr 2020 17:30:07 +0200 (CEST)
Received: from [10.42.0.115] (unknown [194.254.241.250])
 by zmtaauth01.partage.renater.fr (Postfix) with ESMTPA id BF4B01400E1
 for <bug-auctex@HIDDEN>; Thu,  2 Apr 2020 17:30:07 +0200 (CEST)
To: bug-auctex@HIDDEN
Subject: 12.2.0; AucTeX randomly inserts {\sc } instead of \textsc{}
From: Guillaume MULLER <guillaume.muller@HIDDEN>
Autocrypt: addr=guillaume.muller@HIDDEN; keydata=
 mQGNBF2E4kgBDADNSBpUZ9mWXk7akBbK2YUFBVvRXweVJYomPFMW8H2Jx7nsKqTLQ2vPG9Pn
 JKcX7WmUfA47jmROObwg7SVeGtyKY1EjoIUyAVTp2Vd34ODuR46lBupzfcVRZNlYWheaDY3I
 VXrazUlnJ/L+k5Kt/5OlLSBKGgGrGW+Nsfy0mh9PTqb91voIjcb4SrCGcUP9w68cNXuiJ1Cs
 jbbk2BG1/9pfc1kgX8/0GXiCDaCb5TZFpXQSE4zARGC4QlhktjNV5VSBCtY7xU85VvLR/yNJ
 j60MGVH0Mt2BDmUbCivwCRIk/fu6LN/bjCgfOtmoQ9phW+sKGLq9E3QVl1Duogo0EEFLVfLk
 BN/roCQopBRdRPU7iSi89d8E9Hn1qeODbKHZgGUpYTLJn/kbr05ohRxqeAZITMLKRanbsIqc
 WYOGwxtRV+E20AScmhT3PD8o951fRj4QLrYMaatw0aR7jhrRu4HkwgeEVLMRnop5+rftaPN4
 TOkp25AuqCOFhO7jB6yF030AEQEAAbQ2R3VpbGxhdW1lIE1VTExFUiA8Z3VpbGxhdW1lLm11
 bGxlckB1bml2LXN0LWV0aWVubmUuZnI+iQHUBBMBCAA+FiEEfSPIDvrFiNXBWlS7ftdgyxma
 nPgFAl2E4ksCGwMFCQHhM4AFCwkIBwIGFQoJCAsCBBYCAwECHgECF4AACgkQftdgyxmanPiC
 Fgv+M8ZPj/HHfAbf23p0dOhVMMe2zkwqzaHTJMm+ubcE5EGWS7ZttNE0NdrEcN8QCn9y/2ut
 jlNeCNQ0lTOPRszAr3pqaEZiPGX8jtJuSs8Kydwm0PAW8fM6m3/komBA1Vkt7TCy5DgVqACN
 R13DjXBTX/8Gz2eQ1KhB4Lwpiy0XucEMzRFF5Uzz4Ur12tCLr3PAHRO50Z0xGhGE8fxea0Xg
 bgS1U2w70xygG5xlnAm504gBuxf+Ycr/jh+RnpZrgNYBCOf2PaXyMzkPdW07xbhzi8njskZG
 w7gTfqsa4csFTqCaDjAPhPAT4nX6rBe6pKWSBzKwQSG2GDnpT6PmrpHkUMRUGRwxcF934G8y
 k5sCT9Ld9RaNIaV+/EPOd0FOw5g8jootI/ZpaADCEd7n5Lk/ZUCigYOPk6e5+uVwU+e7XFLp
 5XTXEhF7fSMVVTpiiwinOMJR5UhS3RtoK91NbbI7s5dUmrN38SCBlw9SJXVQ++spq2L24V0h
 lMPPk63Rw3pLuQGNBF2E4koBDAC157hGU2wlobdZNblokIVgpts/JVveJOyYMR3CTIj/jrye
 vSD4XWosNFk8LavRsljfyer56F0f+3Py/rNZ+SMC00q/iWZ7MqI25WV0xdvp6VvehN8C/dG5
 d0WCF3DHYE4TWaCe4mN6biSRxP7WgxlAXsigzBSvh1wIbW7PJoD+32Ktw0YxGxPke5QDI3Eq
 7Z/2i9iqiN1V7z/8uTWH0dDMF/NpjlATrOVjgaKBDwcn8uV522udTd8FamE7Q1GS/K77vtkA
 Zq/PDcQw1pq8ecI0onuaDsgTT0HkE2eJHlmRDCYVHn6JGHQL4GOywROpCWSbvP7WARcEtyG6
 SAv3hsg6Jpp8M+SHsrDuvQS7bOmFjsOJx+7ZB4cS0WIP+JWKlTVGrU0ye/W2pCxISyp8AP/C
 PJQ/F7Isbapdg/BBOREwYIN1C9V/MyvB3spM9+MaVQieA+45CCAKTYDnCjefo+EBCtpcJRcM
 fDMXcTod0rnPljVHBGkPIFtD8Fb9SGuvgn0AEQEAAYkBvAQYAQgAJhYhBH0jyA76xYjVwVpU
 u37XYMsZmpz4BQJdhOJKAhsMBQkB4TOAAAoJEH7XYMsZmpz4ossL/21jdD1gOcodTcQc8PHy
 ocvvE0hw1MVXoJlIFM517chXelLvebgxplv9aZ3wt2cvYciRh0DckLhZUWyvedeKJY6srGFg
 BtYdYNMNCuPVGX0pRipW3t6wgilGB6Xgrge1XZrCQZKSNGMw7hnlSbMbfwDYl8qPn6BTW/Za
 wAJbKVI8AYuKPXx0aB1WhMsfQUXWF6MjnjXSAzV5lETrHN8dpgPCrSWYiSKh6rUYzEG/bMAk
 D0PeNRgO3gu9HrZuh09QzaaxN+I3ypYc4lpW+yGKxtsHH3rGaOgDLhDHGMeuodEDKjM56tbP
 FshaaSpuXGx5o03z5cU7c7M85ppADL3rvUmI4i7HU5B9jLLcsYt3/ERdML+pWIFQUfUFNOIp
 zteSTDg4w30/UYY+3DEPgSrNtUWwFpCagLrYyhM4HIn33P9NcwBITkDohAh6fnLheKuUyeSV
 6fN5MG8MmiKNHQDFukXmPLCnUv6LcQA9XLDw67KxcTcHjmjaUESmL7x4BXLDGg==
Message-ID: <5abede2e-4454-d609-0b65-007637ebcfff@HIDDEN>
Date: Thu, 2 Apr 2020 17:30:07 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="P69nWvazCI7EFzSP5J2Robrviqn0n54tz"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 194.254.240.34
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 02 Apr 2020 12:12:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--P69nWvazCI7EFzSP5J2Robrviqn0n54tz
Content-Type: multipart/mixed; boundary="lnqvMeM3duSyoRtivhEDbOVAa9jlnnRl3";
 protected-headers="v1"
From: Guillaume MULLER <guillaume.muller@HIDDEN>
To: bug-auctex@HIDDEN
Message-ID: <5abede2e-4454-d609-0b65-007637ebcfff@HIDDEN>
Subject: 12.2.0; AucTeX randomly inserts {\sc } instead of \textsc{}

--lnqvMeM3duSyoRtivhEDbOVAa9jlnnRl3
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

Hi,

Please ignore my previous email... Here is the bug report...


Remember to cover the basics.  Including a minimal LaTeX example
file exhibiting the problem might help.

Hi,

I'm using AucTeX for years now...

I'm using emacs "26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11=
)" and AucTeX 12.2.0 (installed from MELPA) on XUbuntu 19.10.

According to doc[1] (and years of usage...), hitting `C-c C-f C-<x>` shou=
ld insert (`\text<xx>{yyy}`). e.g. `\textsc{yyy}`

However, on my machine, AucTeX randomly inserts font commands in old TeX =
style (`{\xx yyy}`) or modern one (`\text<xx>{yyy}`).

I have absolutely no clue why the behaviour is not consistent accross all=
 .tex files, nor why it does not respect the documentation (always using =
modern syntax)....

PLEASE HELP!!!! This randomness is REALLY getting on my nerves!!! How can=
 I get back a consistent behaviour???

[1] https://www.gnu.org/software/auctex/manual/auctex/Font-Specifiers.htm=
l

Emacs  : GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.=
11)
 of 2019-09-23, modified by Debian
Package: 12.2.0

current state:
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
(setq
 AUCTeX-version "12.2.0"
 LaTeX-command-style '(("" "%(PDF)%(latex) %(file-line-error) %(extraopts=
) %S%(PDFout)"))
 image-types '(svg imagemagick png gif tiff jpeg xpm xbm pbm postscript)
 preview-image-type 'png
 preview-image-creators '((dvipng (open preview-gs-open preview-dvipng-pr=
ocess-setup)
                           (place preview-gs-place) (close preview-dvipng=
-close))
                          (png (open preview-gs-open) (place preview-gs-p=
lace)
                           (close preview-gs-close))
                          (jpeg (open preview-gs-open) (place preview-gs-=
place)
                           (close preview-gs-close))
                          (pnm (open preview-gs-open) (place preview-gs-p=
lace)
                           (close preview-gs-close))
                          (tiff (open preview-gs-open) (place preview-gs-=
place)
                           (close preview-gs-close))
                          )
 preview-dvipng-image-type 'png
 preview-dvipng-command "dvipng -picky -noghostscript %d -o %m/prev%%03d.=
png"
 preview-pdf2dsc-command "pdf2dsc %s.pdf %m/preview.dsc"
 preview-gs-command "/usr/bin/gs"
 preview-gs-options '("-q" "-dDELAYSAFER" "-dNOPAUSE" "-DNOPLATFONTS" "-d=
Printed"
                      "-dTextAlphaBits=3D4" "-dGraphicsAlphaBits=3D4")
 preview-gs-image-type-alist '((png png "-sDEVICE=3Dpng16m") (dvipng png =
"-sDEVICE=3Dpng16m")
                               (jpeg jpeg "-sDEVICE=3Djpeg") (pnm pbm "-s=
DEVICE=3Dpnmraw")
                               (tiff tiff "-sDEVICE=3Dtiff12nc"))
 preview-fast-conversion t
 preview-prefer-TeX-bb nil
 preview-dvips-command "dvips -Pwww -i -E %d -o %m/preview.000"
 preview-fast-dvips-command "dvips -Pwww %d -o %m/preview.ps"
 preview-scale-function 'preview-scale-from-face
 preview-LaTeX-command '("%`%l \"\\nonstopmode\\nofiles\\PassOptionsToPac=
kage{"
                         ("," . preview-required-option-list)
                         "}{preview}\\AtBeginDocument{\\ifx\\ifPreview\\u=
ndefined"
                         preview-default-preamble "\\fi}\"%' \"\\detokeni=
ze{\" %t \"}\"")
 preview-required-option-list '("active" "tightpage" "auctex"
                                (preview-preserve-counters "counters"))
 preview-preserve-counters nil
 preview-default-option-list '("displaymath" "floats" "graphics" "textmat=
h" "sections" "footnotes")
 preview-default-preamble '("\\RequirePackage[" ("," . preview-default-op=
tion-list)
                            "]{preview}[2004/11/05]")
 preview-LaTeX-command-replacements nil
 preview-dump-replacements '(preview-LaTeX-command-replacements
                             ("\\`\\([^ ]+\\)\\(?: +\\(?:\\(--?kanji[=3D =
][^ ]+\\)\\|-\\(?:[^ \\\"]\\|\\\\.\\|\"[^\"]*\"\\)*\\)\\)*\\(.*\\)\\'" "\=
\1 -ini \\2 -interaction=3Dnonstopmode \"&\\1\" " preview-format-name ".i=
ni \\3")
                             )
 preview-undump-replacements '(("\\`\\([^ ]+\\)\\(?: +\\(?:\\(--?kanji[=3D=
 ][^ ]+\\)\\|-\\(?:[^ \\\"]\\|\\\\.\\|\"[^\"]*\"\\)*\\)\\)*.* \"\\\\input=
\" \"\\\\detokenize{\" \\(.*\\) \"}\"\\'" "\\1 \\2 -interaction=3Dnonstop=
mode -file-line-error " preview-format-name " \"/AUCTEXINPUT{\" \\3 \"}\"=
")
                               )
 preview-auto-cache-preamble 'ask
 preview-TeX-style-dir "/home/gmuller/.emacs.d/elpa/auctex-12.2.0/latex"
 )

Output from running `/usr/bin/gs -h':
GPL Ghostscript 9.27 (2019-04-04)
Copyright (C) 2018 Artifex Software, Inc.  All rights reserved.
Usage: gs [switches] [file1.ps file2.ps ...]
Most frequently used switches: (you can use # in place of =3D)
 -dNOPAUSE           no pause after page   | -q       `quiet
--=20
Guillaume MULLER
Data Scientist, PhD
T=C3=A9l=C3=A9com Saint-=C3=89tienne (office i119)
25 rue du Dr Remy Annino
-
Laboratoire Hubert Curien (office e002)
18 rue du Pr Beno=C3=AEt Lauras
-
42000 Saint-=C3=89tienne
FRANCE
Mobile : +33 (0)6 51 22 33 49


--lnqvMeM3duSyoRtivhEDbOVAa9jlnnRl3--

--P69nWvazCI7EFzSP5J2Robrviqn0n54tz
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQGzBAEBCAAdFiEEfSPIDvrFiNXBWlS7ftdgyxmanPgFAl6GBP8ACgkQftdgyxma
nPgPVAwAhpCHfq+o4O1tv7AGqdVz1dpXzTmQppL9GJslAPM3GBTNMreGZs3yI7Gw
a08D0x36SJ2/poqe/07aSn2bTN36MhNLZFabtSakuCk1+fPpRR0Y4IBk1AZZYNVU
X40iSY/EpP85CIyXyarQDTADhI2NeR1mQklMv3jXYHB56a6vFzy4HRWfVnLZMFHf
8MWfB14Duor4drTsKj+89LIEESfpNmLBeB/QdTORDc/vTxax7O8S3BRSIN1TP/V+
VMRacIqIll1ufxh2ol+6Kv9GuwbnxhrclLZBl5prKKXLixf1x4Eq0gOcpBe1vlQA
Cm4Be560DSmMmuNAwxYSul0QXb6hC1DYPoUoWbNWkyWpCoao2QzFkpAB3WVlxo08
oTve3L9/CkTgdTRKDTdY84KjCxWTPERPlErlCPph1+Lx1OMVm6p2xV1oGL/gRfRy
IwVEg8a+mTUY6BVCN+QyIomZrG1SK/ks/K9KcZewuEhTOMlmyo0/V39HZfC6A5zY
eHTCobps
=+Iai
-----END PGP SIGNATURE-----

--P69nWvazCI7EFzSP5J2Robrviqn0n54tz--




Acknowledgement sent to Guillaume MULLER <guillaume.muller@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#40389; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 8 Apr 2020 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.